unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Grids, DBGrids, JvExDBGrids, JvDBGrid, DB,
  DBClient, JvDBGridExport, JvComponentBase, XPMan;

type
  TForm1 = class(TForm)
    JvDBGrid: TJvDBGrid;
    pnl1: TPanel;
    btn1: TButton;
    btn2: TButton;
    ClientDataSet: TClientDataSet;
    DataSource: TDataSource;
    lbl1: TLabel;
    ClientDataSetName: TStringField;
    ClientDataSetCapital: TStringField;
    ClientDataSetContinent: TStringField;
    ClientDataSetArea: TFloatField;
    ClientDataSetPopulation: TFloatField;
    ClientDataSetCampoBoo: TBooleanField;
    JvDBGridWordExport: TJvDBGridWordExport;
    JvDBGridExcelExport: TJvDBGridExcelExport;
    btn3: TButton;
    btn4: TButton;
    XPManifest1: TXPManifest;
    procedure btn1Click(Sender: TObject);
    procedure btn2Click(Sender: TObject);
    procedure ClientDataSetAfterOpen(DataSet: TDataSet);
    procedure btn3Click(Sender: TObject);
    procedure btn4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btn1Click(Sender: TObject);
begin
  ClientDataSet.LoadFromFile('.\country.xml');
end;

procedure TForm1.btn2Click(Sender: TObject);
begin
  ClientDataSet.Close;
end;

procedure TForm1.btn3Click(Sender: TObject);
begin
  try
    JvDBGridExcelExport.Filename := 'd:\grid.xls';
    JvDBGridExcelExport.ExportGrid;
  Except
    MessageDlg('Falha ao tentar exportar para Excel.', mtWarning, [mbOK], 0);
  end;
end;

procedure TForm1.btn4Click(Sender: TObject);
begin
  try
    JvDBGridWordExport.Filename := 'd:\grid.doc';
    JvDBGridWordExport.ExportGrid;
  Except
    MessageDlg('Falha ao tentar exportar para Word.', mtWarning, [mbOK], 0);
  end;
end;

procedure TForm1.ClientDataSetAfterOpen(DataSet: TDataSet);
begin
  ClientDataSet.DisableControls;
  While not ClientDataSet.Eof Do
  Begin
    ClientDataSet.Edit;
    ClientDataSetCampoBoo.AsBoolean := True;
    ClientDataSet.Post;
    ClientDataSet.Next;
  End;
  ClientDataSet.First;
  ClientDataSet.EnableControls;
end;

end.
