unit FMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, uDLLAccsses;

type
  TfrmMain = class(TForm)
    MainMenu1: TMainMenu;
    Arquivo1: TMenuItem;
    Paciente1: TMenuItem;
    Mdico1: TMenuItem;
    Pronturio1: TMenuItem;
    N1: TMenuItem;
    Sair1: TMenuItem;
    Ajuda1: TMenuItem;
    procedure Sair1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Paciente1Click(Sender: TObject);
    procedure Mdico1Click(Sender: TObject);
    procedure Pronturio1Click(Sender: TObject);
    procedure Ajuda1Click(Sender: TObject);
  private

  public
    oDLLAccsses : TDLLAccsses;
  end;

var
  frmMain: TfrmMain;

implementation

uses FAbout;

{$R *.dfm}

procedure TfrmMain.Ajuda1Click(Sender: TObject);
begin
  frmAbout.ShowModal;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  oDLLAccsses := TDLLAccsses.Create;
  oDLLAccsses.InitializeDLL;
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  oDLLAccsses.ReleaseDLL;
  oDLLAccsses.Destroy;
end;

procedure TfrmMain.Mdico1Click(Sender: TObject);
begin
  oDLLAccsses.ShowMedicoForm;
end;

procedure TfrmMain.Paciente1Click(Sender: TObject);
begin
  oDLLAccsses.ShowPacientForm;
end;

procedure TfrmMain.Pronturio1Click(Sender: TObject);
begin
  oDLLAccsses.ShowProntuarioForm;
end;

procedure TfrmMain.Sair1Click(Sender: TObject);
begin
  Application.Terminate;
end;

end.
