library ProntuarioDLL;

uses
  SysUtils,
  Classes,
  Controls,
  UDM in 'Classes\UDM.pas' {DM: TDataModule},
  FPaciente in 'FPaciente.pas' {frmPaciente},
  FMedico in 'Forms\FMedico.pas' {frmMedico},
  FProntuario in 'Forms\FProntuario.pas' {frmProntuario},
  FAboutDLL in 'Forms\FAboutDLL.pas' {frmAbout};

{$R *.res}

procedure InitializeDLL; stdcall;
begin
  DM := TDM.Create(nil);
end;

procedure ReleaseDLL; stdcall;
begin
  FreeAndNil(DM);
end;

procedure ShowPacienteForm; stdcall;
begin
  if not Assigned(frmPaciente) then begin
    frmPaciente := TfrmPaciente.Create(nil);
  end;

  frmPaciente.ShowModal;

  frmPaciente.Destroy;
end;

procedure ShowMedicoForm; stdcall;
begin
  if not Assigned(frmMedico) then begin
    frmMedico := TfrmMedico.Create(nil);
  end;

  frmMedico.ShowModal;

  frmMedico.Destroy;
end;

procedure ShowProntuarioForm; stdcall;
begin
  if not Assigned(frmProntuario) then begin
    frmProntuario := TfrmProntuario.Create(nil);
  end;

  frmProntuario.ShowModal;

  frmProntuario.Destroy;
end;

procedure ShowAbout(aParent : TWinControl); stdcall;
begin
  if not Assigned(frmAbout) then begin
    frmAbout := TfrmAbout.Create(nil);
  end;

  frmAbout.Execute(aParent);
end;

exports
  InitializeDLL, ReleaseDLL, ShowPacienteForm, ShowMedicoForm,
  ShowProntuarioForm, ShowAbout;

begin
end.
