unit FPaciente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, ExtCtrls, Mask, Grids, DBGrids;

type
  TfrmPaciente = class(TForm)
    rdbOperacao: TRadioGroup;
    gpbDados: TGroupBox;
    btnEnviar: TSpeedButton;
    Label1: TLabel;
    edtNome: TEdit;
    Label2: TLabel;
    edtNasc: TMaskEdit;
    Label3: TLabel;
    edtEndereco: TEdit;
    Label4: TLabel;
    edtCidade: TEdit;
    Label5: TLabel;
    edtBairro: TEdit;
    Label6: TLabel;
    edtTelefone: TMaskEdit;
    grdPaciente: TDBGrid;
    btnSair: TButton;
    procedure btnEnviarClick(Sender: TObject);
    procedure btnSairClick(Sender: TObject);
    procedure grdPacienteCellClick(Column: TColumn);
  private
    oIdPaciente : Integer;
  public
    { Public declarations }
  end;

var
  frmPaciente: TfrmPaciente;

implementation

uses UDM;

{$R *.dfm}

procedure TfrmPaciente.btnEnviarClick(Sender: TObject);
var
  vQry : string;
begin
  case rdbOperacao.ItemIndex of
    0: begin
       vQry := 'Insert into Paciente (nome, endereco, bairro, cidade, telefone, dtnasc)'+
          ' values ('+ QuotedStr(edtNome.Text) +', '+ QuotedStr(edtEndereco.Text)+
          ' ,'+ QuotedStr(edtBairro.Text) + ', '+ QuotedStr(edtCidade.Text) +
          ' ,'+ QuotedStr(edtTelefone.Text)+ ', '+
          QuotedStr(FormatDateTime('yyyy-mm-dd', StrToDateTimeDef(edtNasc.Text, 0))) +')';
    end;
    1: begin
       vQry := 'Update Paciente set nome = '+ QuotedStr(edtNome.Text) +
              ', endereco = '+ QuotedStr(edtCidade.Text) +
              ', bairro = '+ QuotedStr(edtBairro.Text)+
              ', cidade = '+ QuotedStr(edtCidade.Text)+
              ', telefone = '+ QuotedStr(edtTelefone.Text)+
              ', dtnasc = '+ QuotedStr(FormatDateTime('yyyy-mm-dd', StrToDateTimeDef(edtNasc.Text, 0)))+
              ' where id = '+ IntToStr(oIdPaciente);
    end;
    2: begin
       vQry := 'Delete From Paciente where Id = ' + IntToStr(oIdPaciente);
    end;
    3: begin
       vQry := 'Select * from Paciente where Nome like '+ QuotedStr('%' + edtNome.Text +'%');
    end;
  end;

  if rdbOperacao.ItemIndex <> 3 then begin
    DM.SQLConnection.Close;
    DM.SQLConnection.Execute(vQry, DM.sdsPaciente.Params);
    DM.SQLConnection.Open;
    dm.sdsPaciente.Refresh;
  end
  else begin
    dm.sdsPaciente.Close;
    dm.sdsPaciente.DataSet.CommandText := vQry;
    dm.sdsPaciente.Open;
  end;
end;

procedure TfrmPaciente.btnSairClick(Sender: TObject);
begin
  frmPaciente.Close;
end;

procedure TfrmPaciente.grdPacienteCellClick(Column: TColumn);
begin
  oIdPaciente := DM.sdsPaciente.FieldByName('Id').AsInteger;
  edtNome.Text := DM.sdsPaciente.FieldByName('Nome').AsString;
  edtEndereco.Text := DM.sdsPaciente.FieldByName('Endereco').AsString;
  edtCidade.Text := DM.sdsPaciente.FieldByName('Cidade').AsString;
  edtBairro.Text := DM.sdsPaciente.FieldByName('Bairro').AsString;
  edtTelefone.Text := DM.sdsPaciente.FieldByName('Telefone').AsString;
  edtNasc.Text := FormatDateTime('dd/mm/yyyy', DM.sdsPaciente.FieldByName('DtNasc').AsDateTime);
end;

end.
