unit Unit1;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, IWCompListbox,
  IWCompButton, IWCompEdit, Controls, IWVCLBaseControl, IWBaseControl,
  IWBaseHTMLControl, IWControl, IWCompLabel;

type
  TIWForm1 = class(TIWAppForm)
    IWLabel1: TIWLabel;
    IWEdit1: TIWEdit;
    IWButton1: TIWButton;
    IWListbox1: TIWListbox;
    IWListbox2: TIWListbox;
    IWButton2: TIWButton;
    IWButton3: TIWButton;
    IWButton4: TIWButton;
    procedure IWButton1AsyncClick(Sender: TObject; EventParams: TStringList);
    procedure IWButton2AsyncClick(Sender: TObject; EventParams: TStringList);
    procedure IWButton3AsyncClick(Sender: TObject; EventParams: TStringList);
    procedure IWButton4AsyncDoubleClick(Sender: TObject;
      EventParams: TStringList);
  public
  end;

implementation

{$R *.dfm}


//Cdigo do Boto que adiciona o nome digitado  lista 1
procedure TIWForm1.IWButton1AsyncClick(Sender: TObject;
  EventParams: TStringList);
begin
  //se h algo digitado
  if Trim(IWEdit1.Text) <> ''  then
    //insere este item no ListBox
    IWListbox1.Items.Add(IWEdit1.Text)
  else
    //caso contrrio, avisa o usurio
    WebApplication.ShowMessage('Por favor, informe um nome');
  IWEdit1.SetFocus;
end;

procedure TIWForm1.IWButton2AsyncClick(Sender: TObject;
  EventParams: TStringList);
begin
  IWListbox2.Items := IWListbox1.Items;
  IWListbox2.Sorted := True;
end;

procedure TIWForm1.IWButton3AsyncClick(Sender: TObject;
  EventParams: TStringList);
begin
  IWListbox2.Clear;
end;

procedure TIWForm1.IWButton4AsyncDoubleClick(Sender: TObject;
  EventParams: TStringList);
begin
  IWListbox1.Clear;
end;

initialization
  TIWForm1.SetAsMainForm;

end.
